gnutls_ocsp_req_set_extension(3)

NAME
gnutls_ocsp_req_set_extension - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_req_set_extension(gnutls_ocsp_req_t req, const char * oid, unsigned int critical, const gnutls_datum_t * data);

ARGUMENTS

gnutls_ocsp_req_t req
    should contain a gnutls_ocsp_req_t structure

const char * oid
    buffer with OID of extension as a string.

unsigned int critical
    critical flag, normally false.

const gnutls_datum_t * data
    the extension data

DESCRIPTION
This function will add an extension to the OCSP request. Calling this function multiple times for the same OID will overwrite values from earlier calls.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/